# std::_Maybe_get_result_type< _Has_result_type, _Functor > Struct Template Reference

Inheritance diagram for std::_Maybe_get_result_type< _Has_result_type, _Functor >:

## Detailed Description

### template<bool _Has_result_type, typename _Functor>
struct std::_Maybe_get_result_type< _Has_result_type, _Functor >

If we have found a result_type, extract it.

Definition at line 75 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional